%define pkgname control-center
%define lib_major	1
%define libname	%mklibname gnome-window-settings %{lib_major}
%define libnamedev %mklibname -d gnome-window-settings

Summary: GNOME control center
Name: gnome-%{pkgname}
Version: 2.22.0
Release: %mkrel 3
License: GPL
Group: Graphical desktop/GNOME
BuildRequires:  evolution-data-server-devel >= 1.5.3
BuildRequires:	gnome-desktop-devel >= 2.21.4
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:  libmetacity-private-devel >= 2.21.21
BuildRequires:  nautilus-devel >= 2.9.0 
BuildRequires:  libxklavier-devel >= 2.91
BuildRequires:  libxxf86misc-devel                                             
BuildRequires:  gnome-menus-devel >= 2.11.1
BuildRequires:  libgstreamer-plugins-base-devel
BuildRequires:  libxscrnsaver-devel
BuildRequires:	hal-devel
BuildRequires:	libgnomekbd-devel
BuildRequires:  gnome-panel-devel
BuildRequires:  gnome-settings-daemon-devel
BuildRequires: librsvg-devel                                                   
BuildRequires:  desktop-file-utils
BuildRequires:  perl-XML-Parser
BuildRequires: scrollkeeper
BuildRequires:	automake1.8
BuildRequires:	autoconf
BuildRequires:  gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	shared-mime-info
BuildRequires:  gnome-common
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Source1: backgrounds.xml
Patch3: gnome-control-center-2.19.91-naming.patch
# (fc) 2.10.2-2mdk display icons when control-center is not started from GNOME (Mdk bug #16767)
Patch16: gnome-control-center-2.17.3-menulocation.patch
# (fc) 2.21.2-3mdv hide enable sound server and always enable it (Fedora)
Patch22: gnome-control-center-2.20.0-enable-sound-by-default.patch
# (fc) 2.22.0-3mdv various fixes from SVN
Patch23: gnome-control-center-2.22.0-svnfixes.patch

Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-plugins-good
Requires: gnome-settings-daemon >= 2.21.5
Obsoletes: %{pkgname}
Provides: %{pkgname}
Obsoletes: themus
Provides: themus
Obsoletes: fontilus
Provides: fontilus
Obsoletes: drwright
Provides: drwright
Obsoletes: metatheme
Provides: metatheme
Obsoletes: metacity-setup
Provides: metacity-setup

Obsoletes: %{name}-plus
Obsoletes: xalf
Provides: xalf
Provides: %{name}-plus

BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org/softwaremap/projects/control-center/

Requires(post): shared-mime-info desktop-file-utils
Requires(postun): shared-mime-info desktop-file-utils

%description
GNOME Control-center is a configuration tool for easily
setting up your GNOME environment.

%package -n %{libname}
Summary:	%{summary}
Group:		System/Libraries

Provides:	libgnome-window-settings = %{version}-%{release}

%description -n %{libname}
Dynamic libraries used by GNOME Control Center


%package -n %{libnamedev}
Summary:	Static libraries, include files for GNOME control center
Group:		Development/GNOME and GTK+

Provides:	libgnome-window-settings-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes: %mklibname -d gnome-window-settings 1

%description -n %{libnamedev}
Static libraries, include files for GNOME Control Center

%prep
%setup -q -n %{name}-%{version}
%patch3 -p1 -b .naming
%patch16 -p1 -b .menulocation
%patch22 -p1 -b .enable-sound-by-default
%patch23 -p1 -b .svnfixes

%build
%configure2_5x --enable-aboutme --enable-gstreamer=0.10

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std UPDATE_MIME_DATABASE=true
rm -f %buildroot%_datadir/applications/mimeinfo.cache

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="PersonalSettings" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --remove-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/at-properties.desktop 

%{find_lang} %{pkgname}-2.0 --with-gnome --all-name
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %{pkgname}-2.0.lang
done


mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties/

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/window-manager-settings/*.{la,a} \
 $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.{la,a} \
 $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.{la,a} \
 $RPM_BUILD_ROOT%{_datadir}/applications/mimeinfo.cache \
 $RPM_BUILD_ROOT/var/lib/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post
%define schemas fontilus themus control-center
%post_install_gconf_schemas %schemas
%{update_menus}
%update_desktop_database
%update_icon_cache hicolor
%update_mime_database

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%{clean_menus}
%clean_desktop_database
%clean_icon_cache hicolor
%clean_mime_database

%post -p /sbin/ldconfig -n %{libname}

%postun -p /sbin/ldconfig -n %{libname}


%files -f %{pkgname}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README
%{_sysconfdir}/gconf/schemas/control-center.schemas
%{_sysconfdir}/gconf/schemas/fontilus.schemas
%{_sysconfdir}/gconf/schemas/themus.schemas
%config(noreplace) %{_sysconfdir}/xdg/menus/gnomecc.menu
%config(noreplace) %{_sysconfdir}/xdg/autostart/gnome-at-session.desktop
%config(noreplace) %{_sysconfdir}/gnome-vfs-2.0/modules/*
%_bindir/gnome-about-me
%_bindir/gnome-appearance-properties
%_bindir/gnome-at-mobility
%_bindir/gnome-at-properties
%_bindir/gnome-at-visual
%_bindir/gnome-control-center
%_bindir/gnome-default-applications-properties
%_bindir/gnome-display-properties
%_bindir/gnome-font-viewer
%_bindir/gnome-keybinding-properties
%_bindir/gnome-keyboard-properties
%_bindir/gnome-mouse-properties
%_bindir/gnome-network-preferences
%_bindir/gnome-sound-properties
%_bindir/gnome-theme-thumbnailer
%_bindir/gnome-thumbnail-font
%_bindir/gnome-typing-monitor
%_bindir/gnome-window-properties
%_bindir/themus-theme-applier
%_datadir/icons/hicolor/*/*/*
%{_libdir}/nautilus/extensions-2.0/*.so
%{_libdir}/gnome-vfs-2.0/modules/*.so
%{_libdir}/window-manager-settings/*.so
%{_datadir}/gnome-background-properties
%{_datadir}/applications/*
%_datadir/mime/packages/*
%{_datadir}/gnome/cursor-fonts
%{_datadir}/desktop-directories/*
%_datadir/gnome-control-center/
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgnome-window-settings.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(-, root, root)
%doc ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*a
%{_libdir}/pkgconfig/*
%_datadir/pkgconfig/gnome-keybindings.pc


%changelog
* Tue Apr 01 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-3mdv2008.1
+ Revision: 191435
- Patch23: various fixes from SVN

  + Emmanuel Andry <eandry@mandriva.org>
    - Fix lib group

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183760
- new version

* Thu Feb 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 176064
- new version
- bump deps
- drop patch 23

* Wed Feb 13 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.90-3mdv2008.1
+ Revision: 167107
- Patch23 (Fedora): hide fonts:// button until nautilus supports it

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-2mdv2008.1
+ Revision: 160710
- rebuild for new libxklavier

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159762
- new version
- update schemas list

* Thu Jan 17 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-2mdv2008.1
+ Revision: 154061
- remove a conflict with gnome-settings-daemon

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 153276
- fix buildrequires
- new version
- drop patch 23
- depend on new gnome-settings-daemon package
- update file list

* Mon Jan 07 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.4-2mdv2008.1
+ Revision: 146265
- Regenerate patch16 to fix Mdv bug #36539

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 136183
- new version
- drop patches 0,20,21

* Wed Dec 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.2-4mdv2008.1
+ Revision: 134025
- Fix BuildRequires
- Patch23 (Fedora): use gnome-bg API

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.2-3mdv2008.1
+ Revision: 117678
-Patch22 (Fedora): hide "enable sound server" choice and always enable it

* Thu Nov 22 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.2-2mdv2008.1
+ Revision: 111240
- Improve patch20 and submit it upstream for merge
- Patch21: fix background selection (Mdv bug #35543, GNOME bug #498980)

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 108623
- new version
- update file list

* Thu Nov 01 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 104348
- new version
- drop patch 1
- update patch 20
- update file list

* Fri Oct 26 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-2mdv2008.1
+ Revision: 102309
- fix build with new libgnomekbd
- rebuild for new libgnomekbd

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98744
- new version

* Mon Oct 01 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0.1-2mdv2008.0
+ Revision: 94157
- Remove patch7, no longer needed
- Regenerate patch11 to set correct multimedia keys (fuzzy patch was doing wrong things)

* Wed Sep 26 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0.1-1mdv2008.0
+ Revision: 93111
- Release 2.20.0.1

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89314
- new version

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 79402
- new version

* Wed Aug 29 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 74488
- new version
- rediff patch 3

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63273
- new version

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-2mdv2008.0
+ Revision: 57607
- new devel name

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56901
- new version
- rediff patch 20
- drop patch 21

* Wed Jul 11 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.5-2mdv2008.0
+ Revision: 51304
- Patch0: fix crash when metatheme doesn't specify a xcursor

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50856
- new version
- drop patch 1
- update file list

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 41283
- new version
- update patch 20
- add mime package

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.3-2mdv2008.0
+ Revision: 36163
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - update patches 0,20
    - drop patches 13,21
    - drop legacy menu
    - update file list

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14502
- fix scrollkeeper build
- remove libslab, it is now linked statically
- new version
- drop patches 17,18,19


* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-4mdv2007.1
+ Revision: 148529
- Patch21 (SVN): don't crash if dbus isn't running (GNOME bug #411504)

* Mon Mar 19 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-3mdv2007.1
+ Revision: 146801
- fix theme installer desktop entry (bug #29695)

  + Frederic Crozat <fcrozat@mandriva.com>
    -Patch17 (SVN): fix multimedia key window position (GNOME bug #400915)
    -Patch18 (SVN): fix gthread warning in sound config (GNOME bug #416239)
    -Patch19 (SVN): disable color revert when using default (GNOME bug #417423)

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142054
- new version

* Wed Mar 07 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-2mdv2007.1
+ Revision: 134184
- use search multimedia key to call beagle or tracker

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126138
- drop patch 17
- new version

* Fri Feb 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.91-2mdv2007.1
+ Revision: 121643
- Patch17 (SVN): fix default applications glade path location

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120235
- new version
- update file list

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-2mdv2007.1
+ Revision: 112516
- useless release bump

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 112013
- new version
- add icons

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106368
- new version
- update file list
- fix buildrequires
- handle mime database
- fix menu entries

* Thu Dec 28 2006 Frederic Crozat <fcrozat@mandriva.com> 2.17.3-3mdv2007.1
+ Revision: 102231
- Fix schemas list (one is no longe there)

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-2mdv2007.1
+ Revision: 99509
- rebuild for new e-d-s

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 90921
- wrong name
- new version
- rediff menu location patch
- remove icons
- fix buildrequires

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-3mdv2007.1
+ Revision: 89271
- fix buildrequires

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-2mdv2007.1
+ Revision: 87645
- fix buildrequires
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 86211
- new version

* Wed Oct 18 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-4mdv2007.0
+ Revision: 65964
- fix buildrequires
  explicitly list all binaries

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.1
+ Revision: 63800
- rebuild
- unpack patches
- Import gnome-control-center

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Remove acccessibility menu entries from main preferences

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Thu Aug 24 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Fri Aug 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-2mdv2007.0
- Requires gstreamer-plugins-good, needed for gconf elements

* Wed Aug 09 2006 Gtz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- drop patches 0,1
- New release 2.15.91

* Thu Aug 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.15.90-5mdv2007.0
- rebuild w/o selinux on x86_64

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-4mdv2007.0
- Rebuild with latest dbus

* Thu Jul 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-3mdv2007.0
- Fix categories for xdg menu

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 2.15.90-2mdv2007.0
- patch for new e-d-s

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- update file list
- New release 2.15.4

* Sat Jun 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-4mdv2007.0
- Use gnome-screensaver instead of xscreensaver

* Mon Jun 19 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-3mdv2007.0
- use new macros
- fix print screen key (GNOME bug #333576)

* Thu Jun 15 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-2mdv2007.0
- fix buildrequires

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- bump deps
- New release 2.15.3

* Thu Jun 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-3mdv2007.0
- Update source1 with correct path (Mdv bug #22895)

* Wed May 31 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-2mdv2007.0
- fix buildrequires for xorg 7

* Tue May 30 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Remove patches 0, 12 (merged upstream)
- Regenerate patches 3, 16

* Mon Feb 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-2mdk
- Don't package mime cache

* Mon Feb 06 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Wed Nov 30 2005 Gtz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- update patch 16
- New release 2.12.2

* Fri Oct 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- remove generated files before build

* Sat Oct 08 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- fix buildrequires

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- remove patches 2, 14, 15, 17, 18, 19, 20 (merged upstream)

* Tue Sep 13 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-7mdk 
- update patch3 to fix Mdk bug #16561

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-6mdk 
- Update patch20, don't set default keyboard config (Mdk bug #18250)

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-5mdk
- rebuild to remove glitz dep

* Fri Sep 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-4mdk 
- Patch20 (CVS): fix keyboard applet, don't save config at login

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-3mdk 
- Patch17 (CVS): fix keyboard drawing with gtk+ 2.8
- Patch18 (CVS): add clipboard manager
- Patch19 (CVS): fix crash and mute with multimedia keys

* Tue Jul 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-2mdk
- Patch16 : display icons when control-center is not started from GNOME
 (Mdk bug #16767)
- Fix missing icon for menu entry (Mdk bug #16764)

* Thu Jul 07 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- rediff patch 14
- New release 2.10.2

* Sat May 14 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.10.1-5mdk
- add BuildRequires: intltool

* Sat May 07 2005 Pascal Terjan <pterjan@mandriva.org> 2.10.1-4mdk
- fix build on x86_64

* Fri Apr 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-3mdk 
- Patch15: fix icons order in control-center (found by Arnaud)

* Sun Apr 24 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-2mdk
- fix buildrequires

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)
- Regenerate patches 2, 3
- Remove patches 4, 5, 6, 9, 10 (merged upstream)
- Patch14 (CVS): use new API for menu

* Tue Mar 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-6mdk 
- Add source1 : list some default backgrounds we are shipping

* Fri Mar 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-5mdk 
- Patch13: fix keybinding when keysim are not available

* Wed Mar 02 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 2.8.2-4mdk
- Fix menu generated (fix kcmshell background)

* Tue Mar 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-3mdk 
- Patch11: enable more multimedia keys
- Patch12 (Debian): fix detection of pmu (ppc)

* Wed Feb 23 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk 
- Patch10 (CVS): fix infinite loop when changing theme

* Mon Feb 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-1mdk 
- Release 2.8.2
- Regenerate patches 3, 7
- Remove patches 8 & 10 (merged upstream)

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-9mdk 
- Patch10: fix browser default location when using multimedia keys (Mdk bug #13361)

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-8mdk 
- Update patch3 so selecting Firefox really work and set sensible name
  for www-browser (Mdk bug #13480)

* Fri Jan 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-7mdk 
- Update patch9 with final version

* Fri Jan 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-6mdk 
- Patch9 : fix highlight cursor mode

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-5mdk 
- Rebuild with latest howl

* Mon Dec 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-4mdk 
- Update patch8 with latest version from CVS

* Sun Dec 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-3mdk
- remove obsolete menu entry

* Tue Nov 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk
- Patch8 (Arnaud): fix audio mixer when resuming (Mdk bug #11524)

* Tue Oct 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Remove patches 1, 4, 5 (merged upstream)
- Regenerate patches 2, 8
- Patch4 (Fedora): don't show hyper if its mapped to super
- Patch5 (Fedora): add preview in background file selector
- Patch6 (Fedora): Install icon theme should untar it into $HOME/.icons
- Patch7 : fix logout action for keybinding and use Ctrl-Alt-Del for it

* Thu Sep 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-8mdk
- Patch5 (Michal Bukovjan): fix volume change for all locale (Mdk bug #11310)

* Wed Sep 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-7mdk
- Update patch4 to really fix bug 10421

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-6mdk
- Patch4 (CVS): fix window location (Mdk bug #10421)

* Tue Sep 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-5mdk
- Patch3: fix name for Mozilla in default apps capplet (Mdk bug #10704)

* Fri Sep 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-4mdk
- Patch2: fix crash in background capplet with local encoded filename 
  (Mdk bug #10353)

* Thu Aug 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-3mdk
- Patch1 : fix missing icons in application window manager bar
- Enable libtoolize

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Fix BuildRequires

* Sat Apr 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix all icons in the menu entries
- new version

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.3-1mdk
- Release 2.6.0.3 (with Gtz help)
- Remove patches 1, 2, 3, 4 (merged upstream)

